Bullet Collision Detection & Physics Library: btStackAlloc Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
btStackAlloc Class Reference

The StackAlloc class provides some fast stack-based memory allocator (LIFO last-in first-out) More...

`#include <btStackAlloc.h>`

Collaboration diagram for btStackAlloc:
[legend]

## Public Member Functions
| btStackAlloc (unsigned int size)
| ~btStackAlloc ()
void | create (unsigned int size)
void | destroy ()
int | getAvailableMemory () const
unsigned char * | allocate (unsigned int size)
btBlock * | beginBlock ()
void | endBlock (btBlock *block)

## Private Member Functions
void | ctor ()

## Private Attributes
unsigned char * | data
unsigned int | totalsize
unsigned int | usedsize
btBlock * | current
bool | ischild

## Detailed Description

The StackAlloc class provides some fast stack-based memory allocator (LIFO last-in first-out)

Definition at line 34 of file btStackAlloc.h.

## Constructor & Destructor Documentation

## ◆ btStackAlloc()

btStackAlloc::btStackAlloc | ( | unsigned int | size | ) |
| inline

Definition at line 37 of file btStackAlloc.h.

## ◆ ~btStackAlloc()

btStackAlloc::~btStackAlloc | ( |  | ) |
| inline

Definition at line 42 of file btStackAlloc.h.

## Member Function Documentation

## ◆ allocate()

unsigned char * btStackAlloc::allocate | ( | unsigned int | size | ) |
| inline

Definition at line 70 of file btStackAlloc.h.

## ◆ beginBlock()

btBlock * btStackAlloc::beginBlock | ( |  | ) |
| inline

Definition at line 83 of file btStackAlloc.h.

## ◆ create()

void btStackAlloc::create | ( | unsigned int | size | ) |
| inline

Definition at line 44 of file btStackAlloc.h.

## ◆ ctor()

void btStackAlloc::ctor | ( |  | ) |
| inlineprivate

Definition at line 103 of file btStackAlloc.h.

## ◆ destroy()

void btStackAlloc::destroy | ( |  | ) |
| inline

Definition at line 50 of file btStackAlloc.h.

## ◆ endBlock()

void btStackAlloc::endBlock | ( | btBlock * | block | ) |
| inline

Definition at line 91 of file btStackAlloc.h.

## ◆ getAvailableMemory()

int btStackAlloc::getAvailableMemory | ( |  | ) | const
| inline

Definition at line 65 of file btStackAlloc.h.

## Member Data Documentation

## ◆ current

btBlock* btStackAlloc::current
| private

Definition at line 114 of file btStackAlloc.h.

## ◆ data

unsigned char* btStackAlloc::data
| private

Definition at line 111 of file btStackAlloc.h.

## ◆ ischild

bool btStackAlloc::ischild
| private

Definition at line 115 of file btStackAlloc.h.

## ◆ totalsize

unsigned int btStackAlloc::totalsize
| private

Definition at line 112 of file btStackAlloc.h.

## ◆ usedsize

unsigned int btStackAlloc::usedsize
| private

Definition at line 113 of file btStackAlloc.h.

The documentation for this class was generated from the following file:

- btStackAlloc.h